Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1925 - 2.0.36 version of linux kernal does not compile
Summary: 2.0.36 version of linux kernal does not compile
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-01 03:46 UTC by dlsutton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 22:25:57 UTC


Attachments (Terms of Use)

Description dlsutton 1999-04-01 03:46:55 UTC
I am inserting a portion of the build log for your
inspection.

make[2]: Entering directory
`/usr/src/linux-2.0.36/drivers/block'
make all_targets
make[3]: Entering directory
`/usr/src/linux-2.0.36/drivers/block'
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strength-reduce -pipe -m386 -DCPU=386 -DMODVERSIONS
-DEXPORT_SYMTAB -c md.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strength-reduce -pipe -m386 -DCPU=386  -c -o
ll_rw_blk.o ll_rw_blk.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strength-reduce -pipe -m386 -DCPU=386  -c -o genhd.o
genhd.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strength-reduce -pipe -m386 -DCPU=386  -c -o floppy.o
floppy.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer
-fno-strength-reduce -pipe -m386 -DCPU=386  -c -o rd.o rd.c
In file included from
/usr/src/linux-2.0.36/include/linux/blk.h:8,
                 from rd.c:65:
/usr/src/linux-2.0.36/include/linux/md.h:128: parse error
before `_'
/usr/src/linux-2.0.36/include/linux/md.h:128: warning: no
semicolon at end of struct or union
/usr/src/linux-2.0.36/include/linux/md.h:134: parse error
before `}'
/usr/src/linux-2.0.36/include/linux/md.h:134: warning: data
definition has no type or storage class
/usr/src/linux-2.0.36/include/linux/md.h:183: parse error
before `md_descriptor_t'
/usr/src/linux-2.0.36/include/linux/md.h:183: warning: no
semicolon at end of struct or union
/usr/src/linux-2.0.36/include/linux/md.h:188: conflicting
types for `reserved'
/usr/src/linux-2.0.36/include/linux/md.h:133: previous
declaration of `reserved'
/usr/src/linux-2.0.36/include/linux/md.h:193: parse error
before `descriptor'
/usr/src/linux-2.0.36/include/linux/md.h:193: warning: data
definition has no type or storage class
/usr/src/linux-2.0.36/include/linux/md.h:194: warning: data
definition has no type or storage class
/usr/src/linux-2.0.36/include/linux/md.h:219: parse error
before `md_superblock_t'
/usr/src/linux-2.0.36/include/linux/md.h:219: warning: no
semicolon at end of struct or union
/usr/src/linux-2.0.36/include/linux/md.h:221: parse error
before `}'
/usr/src/linux-2.0.36/include/linux/md.h:243: field
`devices' has incomplete type
/usr/src/linux-2.0.36/include/linux/md.h:245: parse error
before `md_superblock_t'
/usr/src/linux-2.0.36/include/linux/md.h:245: warning: no
semicolon at end of struct or union
/usr/src/linux-2.0.36/include/linux/md.h:251: parse error
before `}'
make[3]: *** [rd.o] Error 1
make[3]: Leaving directory
`/usr/src/linux-2.0.36/drivers/block'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory
`/usr/src/linux-2.0.36/drivers/block'
make[1]: *** [sub_dirs] Error 2
make[1]: Leaving directory `/usr/src/linux-2.0.36/drivers'
make: *** [linuxsubdirs] Error 2

Can you tell me what is wrong?

Comment 1 dlsutton 1999-04-02 03:07:59 UTC
I reinstalled the kernel RPM packages and tried rebuilding the kernel
with the result below.

gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o init/main.o init/main.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386 -DUTS_MACHINE='"i386"' -c -o init/version.o
init/version.c
set -e; for i in kernel drivers mm fs net ipc lib arch/i386/kernel
arch/i386/mm arch/i386/lib arch/i386/math-emu; do make -C $i; done
make[1]: Entering directory `/usr/src/linux-2.0.36/kernel'
make all_targets
make[2]: Entering directory `/usr/src/linux-2.0.36/kernel'
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386 -DMODVERSIONS -DEXPORT_SYMTAB -c ksyms.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -fno-omit-frame-pointer -c sched.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o dma.o dma.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o fork.o fork.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o exec_domain.o exec_domain.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o panic.o panic.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o printk.o printk.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o sys.o sys.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o module.o module.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o exit.o exit.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o signal.o signal.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o itimer.o itimer.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o info.o info.c
gcc -D__KERNEL__ -I/usr/src/linux-2.0.36/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strength-reduce
-pipe -m386 -DCPU=386  -c -o time.o time.c
gcc: Internal compiler error: program cpp got fatal signal 11
make[2]: *** [time.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.0.36/kernel'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.0.36/kernel'
make: *** [linuxsubdirs] Error 2

This looks like a compiler memory problem- don't you think?

Comment 2 David Lawrence 1999-04-08 22:25:59 UTC
I was unable to replicate this problem on a stock 5.2 system with the
latest 2.0.36 source obtained from updates.redhat.com. Signal 11
errors have been observed to be caused usually to hardware failures
with a majority being ram related.


Note You need to log in before you can comment on or make changes to this bug.